<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Lexis.Adverb</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Adverb.html#Adverb"><span class="hs-identifier">Adverb</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Lexis.Adverb.html#getAdverb"><span class="hs-identifier">getAdverb</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">newtype</span><span> </span><span id="Adverb"><span class="annot"><a href="Lexis.Adverb.html#Adverb"><span class="hs-identifier hs-var">Adverb</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="A"><span class="annot"><a href="Lexis.Adverb.html#A"><span class="hs-identifier hs-var">A</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span> </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081702"><span id="local-6989586621679081704"><span class="annot"><span class="annottext">Adverb -&gt; Adverb -&gt; Bool
(Adverb -&gt; Adverb -&gt; Bool)
-&gt; (Adverb -&gt; Adverb -&gt; Bool) -&gt; Eq Adverb
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: Adverb -&gt; Adverb -&gt; Bool
$c/= :: Adverb -&gt; Adverb -&gt; Bool
== :: Adverb -&gt; Adverb -&gt; Bool
$c== :: Adverb -&gt; Adverb -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081695"><span id="local-6989586621679081697"><span id="local-6989586621679081699"><span class="annot"><span class="annottext">Int -&gt; Adverb -&gt; ShowS
[Adverb] -&gt; ShowS
Adverb -&gt; String
(Int -&gt; Adverb -&gt; ShowS)
-&gt; (Adverb -&gt; String) -&gt; ([Adverb] -&gt; ShowS) -&gt; Show Adverb
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [Adverb] -&gt; ShowS
$cshowList :: [Adverb] -&gt; ShowS
show :: Adverb -&gt; String
$cshow :: Adverb -&gt; String
showsPrec :: Int -&gt; Adverb -&gt; ShowS
$cshowsPrec :: Int -&gt; Adverb -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-4"></span><span>
</span><span id="line-5"></span><span class="hs-comment">-- | Produces the adverb's root</span><span>
</span><span id="line-6"></span><span class="annot"><a href="Lexis.Adverb.html#getAdverb"><span class="hs-identifier hs-type">getAdverb</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.Adverb.html#Adverb"><span class="hs-identifier hs-type">Adverb</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-7"></span><span id="getAdverb"><span class="annot"><span class="annottext">getAdverb :: Adverb -&gt; String
</span><a href="Lexis.Adverb.html#getAdverb"><span class="hs-identifier hs-var hs-var">getAdverb</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Adverb.html#A"><span class="hs-identifier hs-type">A</span></a></span><span> </span><span id="local-6989586621679081693"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081693"><span class="hs-identifier hs-var">x</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081693"><span class="hs-identifier hs-var">x</span></a></span><span>
</span><span id="line-8"></span></pre></body></html>